summaryrefslogtreecommitdiff
path: root/recipes/watchdog
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/watchdog')
-rw-r--r--recipes/watchdog/files/init33
-rw-r--r--recipes/watchdog/watchdog_5.2.6.bb10
-rw-r--r--recipes/watchdog/watchdog_5.3.1.bb9
-rw-r--r--recipes/watchdog/watchdog_5.4.bb17
4 files changed, 69 insertions, 0 deletions
diff --git a/recipes/watchdog/files/init b/recipes/watchdog/files/init
new file mode 100644
index 0000000000..f42797e00d
--- /dev/null
+++ b/recipes/watchdog/files/init
@@ -0,0 +1,33 @@
+#!/bin/sh
+DAEMON="/usr/sbin/watchdog"
+NAME="watchdog"
+DESC="watchdog daemon"
+OPTIONS=""
+
+test -f $DAEMON || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME... "
+ start-stop-daemon -S -x $DAEMON -- $OPTIONS
+ echo "done."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: $NAME... "
+ start-stop-daemon -K -x $DAEMON
+ echo "done."
+ ;;
+ restart)
+ echo "Restarting $DESC: $NAME... "
+ $0 stop
+ sleep 1
+ $0 start
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/recipes/watchdog/watchdog_5.2.6.bb b/recipes/watchdog/watchdog_5.2.6.bb
new file mode 100644
index 0000000000..46f52d5627
--- /dev/null
+++ b/recipes/watchdog/watchdog_5.2.6.bb
@@ -0,0 +1,10 @@
+#CONFFILES = "${sysconfdir}/watchdog.conf"
+DESCRIPTION = "Software watchdog"
+LICENSE = "GPL"
+PR = "r4"
+
+SRC_URI = "http://www.ibiblio.org/pub/Linux/system/daemons/watchdog/${P}.tar.gz"
+
+inherit autotools
+
+FILES = "${sysconfdir}/watchdog.conf ${sbindir}/watchdog"
diff --git a/recipes/watchdog/watchdog_5.3.1.bb b/recipes/watchdog/watchdog_5.3.1.bb
new file mode 100644
index 0000000000..fd8e756619
--- /dev/null
+++ b/recipes/watchdog/watchdog_5.3.1.bb
@@ -0,0 +1,9 @@
+DESCRIPTION = "System watchdog daemon"
+LICENSE = "GPL"
+PR = "r1"
+
+SRC_URI = "http://www.ibiblio.org/pub/Linux/system/daemons/watchdog/${PN}_${PV}.tar.gz"
+
+inherit autotools
+
+FILES = "${sysconfdir}/watchdog.conf ${sbindir}/watchdog"
diff --git a/recipes/watchdog/watchdog_5.4.bb b/recipes/watchdog/watchdog_5.4.bb
new file mode 100644
index 0000000000..ec4cea42a7
--- /dev/null
+++ b/recipes/watchdog/watchdog_5.4.bb
@@ -0,0 +1,17 @@
+DESCRIPTION = "System watchdog daemon"
+LICENSE = "GPL"
+PR = "r0"
+
+SRC_URI = "http://www.ibiblio.org/pub/Linux/system/daemons/watchdog/${PN}-${PV}.tar.gz \
+ file://init"
+
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "watchdog"
+INITSCRIPT_PARAMS = "defaults 10"
+
+do_install_append() {
+ install -d ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/watchdog
+}
+